Add a software to a task type of a project. The project must use the task type. The software must not be archived. If the link exists, the route returns it. Administrators and managers of the project can use this route. A supervisor of the project can use it for the task types of their departments. A supervisor with no department can use it for every task type.
POST
/data/projects/{project_id}/task-types/{task_type_id}/softwares
curl \
--request POST '/api/data/projects/a24a6ea4-ce75-4665-a070-57453082c250/task-types/b35b7fb5-df86-5776-b181-68564193d360/softwares' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--data '{
"software_id": "c46c8fc6-ef97-4887-a292-79675204e471"
}'
Request examples
{
"software_id": "c46c8fc6-ef97-4887-a292-79675204e471"
}
Response examples (201)
{
"project_id": "a24a6ea4-ce75-4665-a070-57453082c250",
"task_type_id": "b35b7fb5-df86-5776-b181-68564193d360",
"software_id": "c46c8fc6-ef97-4887-a292-79675204e471"
}